export var InfoCode;
(function (b21) {
    b21[b21["Unknown"] = -1] = "Unknown";
    b21[b21["LoopingStart"] = 0] = "LoopingStart";
    b21[b21["BufferedPosition"] = 1] = "BufferedPosition";
    b21[b21["CurrentPosition"] = 2] = "CurrentPosition";
    b21[b21["AutoPlayStart"] = 3] = "AutoPlayStart";
    b21[b21["CurrentDownloadSpeed"] = 4] = "CurrentDownloadSpeed";
    b21[b21["UtcTime"] = 5] = "UtcTime";
    b21[b21["LocalCacheLoaded"] = 6] = "LocalCacheLoaded";
    b21[b21["SwitchToSoftwareVideoDecoder"] = 100] = "SwitchToSoftwareVideoDecoder";
    b21[b21["AudioCodecNotSupport"] = 101] = "AudioCodecNotSupport";
    b21[b21["AudioDecoderDeviceError"] = 102] = "AudioDecoderDeviceError";
    b21[b21["VideoCodecNotSupport"] = 103] = "VideoCodecNotSupport";
    b21[b21["VideoDecoderDeviceError"] = 104] = "VideoDecoderDeviceError";
    b21[b21["VideoRenderInitError"] = 105] = "VideoRenderInitError";
    b21[b21["DemuxerTraceID"] = 106] = "DemuxerTraceID";
    b21[b21["NetworkRetry"] = 108] = "NetworkRetry";
    b21[b21["CacheSuccess"] = 109] = "CacheSuccess";
    b21[b21["CacheError"] = 110] = "CacheError";
    b21[b21["LowMemory"] = 111] = "LowMemory";
    b21[b21["NetworkRetrySuccess"] = 113] = "NetworkRetrySuccess";
    b21[b21["SubtitleSelectError"] = 114] = "SubtitleSelectError";
    b21[b21["DirectComponentMSG"] = 116] = "DirectComponentMSG";
    b21[b21["DemuxerSegmentOpenFailed"] = 119] = "DemuxerSegmentOpenFailed";
    b21[b21["RTSServerMaybeDisconnect"] = 805371905] = "RTSServerMaybeDisconnect";
    b21[b21["RTSServerRecover"] = 805371906] = "RTSServerRecover";
})(InfoCode || (InfoCode = {}));
export function getEnumValues(w20) {
    return Object.keys(w20)
        .filter(a21 => !isNaN(Number(w20[a21])))
        .map(z20 => w20[z20]);
}
export function findInfoCodeByValue(t20) {
    const u20 = getEnumValues(InfoCode);
    for (const v20 of u20) {
        if (v20 === t20) {
            return v20;
        }
    }
    return InfoCode.Unknown;
}
